# Form implementation generated from reading ui file 'src/eric7/MicroPython/EthernetDialogs/EthernetStatusDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EthernetStatusDialog(object):
    def setupUi(self, EthernetStatusDialog):
        EthernetStatusDialog.setObjectName("EthernetStatusDialog")
        EthernetStatusDialog.resize(600, 650)
        EthernetStatusDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(EthernetStatusDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=EthernetStatusDialog)
        font = QtGui.QFont()
        font.setPointSize(14)
        font.setBold(True)
        self.label.setFont(font)
        self.label.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.statusTree = QtWidgets.QTreeWidget(parent=EthernetStatusDialog)
        self.statusTree.setRootIsDecorated(False)
        self.statusTree.setItemsExpandable(False)
        self.statusTree.setHeaderHidden(True)
        self.statusTree.setObjectName("statusTree")
        self.statusTree.headerItem().setText(0, "1")
        self.verticalLayout.addWidget(self.statusTree)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EthernetStatusDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(EthernetStatusDialog)
        self.buttonBox.accepted.connect(EthernetStatusDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(EthernetStatusDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EthernetStatusDialog)

    def retranslateUi(self, EthernetStatusDialog):
        _translate = QtCore.QCoreApplication.translate
        EthernetStatusDialog.setWindowTitle(_translate("EthernetStatusDialog", "Ethernet Status"))
        self.label.setText(_translate("EthernetStatusDialog", "Ethernet Status"))
